<?php

/**
 * @file
 * Contains \Drupal\brightcove\Form\BrightcovePlaylistSettingsForm.
 */

namespace Drupal\brightcove\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class BrightcovePlaylistSettingsForm.
 *
 * @package Drupal\brightcove\Form
 *
 * @ingroup brightcove
 */
class BrightcovePlaylistSettingsForm extends FormBase {
  /**
   * Returns a unique string identifying the form.
   *
   * @return string
   *   The unique string identifying the form.
   */
  public function getFormId() {
    return 'BrightcovePlaylist_settings';
  }

  /**
   * Form submission handler.
   *
   * @param array $form
   *   An associative array containing the structure of the form.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The current state of the form.
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Empty implementation of the abstract submit class.
  }


  /**
   * Defines the settings form for Brightcove Playlists.
   *
   * @param array $form
   *   An associative array containing the structure of the form.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The current state of the form.
   *
   * @return array
   *   Form definition array.
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['BrightcovePlaylist_settings']['#markup'] = 'Settings form for Brightcove Playlists. Manage field settings here.';
    return $form;
  }

}
